<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bonus.canteen.core.menu.mapper.MenuSequenceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.bonus.canteen.core.menu.entity.MenuSequence">
        <id column="id" property="id" />
        <result column="sequence" property="sequence" />
        <result column="type" property="type" />
        <result column="time_index" property="timeIndex" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, sequence, type, time
    </sql>

</mapper>
